Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGDOMImplementation

    java.lang.Object
      org.apache.batik.dom.AbstractDOMImplementation
          org.apache.batik.dom.ExtensibleDOMImplementation
              org.apache.batik.dom.svg.SVGDOMImplementation

All Implemented Interfaces:
  Serializable, StyleSheetFactory, CSSStyleDeclarationFactory, Localizable, DOMImplementationCSS, DOMImplementation

Direct Known Subclasses:
  SVG12DOMImplementation

    public class SVGDOMImplementation

extends ExtensibleDOMImplementation
implements CSSStyleDeclarationFactory

This class implements the `DOMImplementation` interface. It provides support the SVG 1.1 documents.

See Also:
  Serialized Form

Nested Class Summary
`protected static class` | `SVGDOMImplementation.AElementFactory` To create a 'a' element.
`protected static class` | `SVGDOMImplementation.AltGlyphDefElementFactory` To create a 'altGlyphDef' element.
`protected static class` | `SVGDOMImplementation.AltGlyphElementFactory` To create a 'altGlyph' element.
`protected static class` | `SVGDOMImplementation.AltGlyphItemElementFactory` To create a 'altGlyphItem' element.
`protected static class` | `SVGDOMImplementation.AnimateColorElementFactory` To create a 'animateColor' element.
`protected static class` | `SVGDOMImplementation.AnimateElementFactory` To create a 'animate' element.
`protected static class` | `SVGDOMImplementation.AnimateMotionElementFactory` To create a 'animateMotion' element.
`protected static class` | `SVGDOMImplementation.AnimateTransformElementFactory` To create a 'animateTransform' element.
`protected static class` | `SVGDOMImplementation.CircleElementFactory` To create a 'circle' element.
`protected static class` | `SVGDOMImplementation.ClipPathElementFactory` To create a 'clip-path' element.
`protected static class` | `SVGDOMImplementation.ColorProfileElementFactory` To create a 'color-profile' element.
`protected static class` | `SVGDOMImplementation.CursorElementFactory` To create a 'cursor' element.
`protected static class` | `SVGDOMImplementation.DefinitionSrcElementFactory` To create a 'definition-src' element.
`protected static class` | `SVGDOMImplementation.DefsElementFactory` To create a 'defs' element.
`protected static class` | `SVGDOMImplementation.DescElementFactory` To create a 'desc' element.
`protected static class` | `SVGDOMImplementation.EllipseElementFactory` To create an 'ellipse' element.
`protected static class` | `SVGDOMImplementation.FeBlendElementFactory` To create a 'feBlend' element.
`protected static class` | `SVGDOMImplementation.FeColorMatrixElementFactory` To create a 'feColorMatrix' element.
`protected static class` | `SVGDOMImplementation.FeComponentTransferElementFactory` To create a 'feComponentTransfer' element.
`protected static class` | `SVGDOMImplementation.FeCompositeElementFactory` To create a 'feComposite' element.
`protected static class` | `SVGDOMImplementation.FeConvolveMatrixElementFactory` To create a 'feConvolveMatrix' element.
`protected static class` | `SVGDOMImplementation.FeDiffuseLightingElementFactory` To create a 'feDiffuseLighting' element.
`protected static class` | `SVGDOMImplementation.FeDisplacementMapElementFactory` To create a 'feDisplacementMap' element.
`protected static class` | `SVGDOMImplementation.FeDistantLightElementFactory` To create a 'feDistantLight' element.
`protected static class` | `SVGDOMImplementation.FeFloodElementFactory` To create a 'feFlood' element.
`protected static class` | `SVGDOMImplementation.FeFuncAElementFactory` To create a 'feFuncA' element.
`protected static class` | `SVGDOMImplementation.FeFuncBElementFactory` To create a 'feFuncB' element.
`protected static class` | `SVGDOMImplementation.FeFuncGElementFactory` To create a 'feFuncG' element.
`protected static class` | `SVGDOMImplementation.FeFuncRElementFactory` To create a 'feFuncR' element.
`protected static class` | `SVGDOMImplementation.FeGaussianBlurElementFactory` To create a 'feGaussianBlur' element.
`protected static class` | `SVGDOMImplementation.FeImageElementFactory` To create a 'feImage' element.
`protected static class` | `SVGDOMImplementation.FeMergeElementFactory` To create a 'feMerge' element.
`protected static class` | `SVGDOMImplementation.FeMergeNodeElementFactory` To create a 'feMergeNode' element.
`protected static class` | `SVGDOMImplementation.FeMorphologyElementFactory` To create a 'feMorphology' element.
`protected static class` | `SVGDOMImplementation.FeOffsetElementFactory` To create a 'feOffset' element.
`protected static class` | `SVGDOMImplementation.FePointLightElementFactory` To create a 'fePointLight' element.
`protected static class` | `SVGDOMImplementation.FeSpecularLightingElementFactory` To create a 'feSpecularLighting' element.
`protected static class` | `SVGDOMImplementation.FeSpotLightElementFactory` To create a 'feSpotLight' element.
`protected static class` | `SVGDOMImplementation.FeTileElementFactory` To create a 'feTile' element.
`protected static class` | `SVGDOMImplementation.FeTurbulenceElementFactory` To create a 'feTurbulence' element
`protected static class` | `SVGDOMImplementation.FilterElementFactory` To create a 'filter' element.
`protected static class` | `SVGDOMImplementation.FontElementFactory` To create a 'font' element.
`protected static class` | `SVGDOMImplementation.FontFaceElementFactory` To create a 'font-face' element.
`protected static class` | `SVGDOMImplementation.FontFaceFormatElementFactory` To create a 'font-face-format' element.
`protected static class` | `SVGDOMImplementation.FontFaceNameElementFactory` To create a 'font-face-name' element.
`protected static class` | `SVGDOMImplementation.FontFaceSrcElementFactory` To create a 'font-face-src' element.
`protected static class` | `SVGDOMImplementation.FontFaceUriElementFactory` To create a 'font-face-uri' element.
`protected static class` | `SVGDOMImplementation.ForeignObjectElementFactory` To create a 'foreignObject' element.
`protected static class` | `SVGDOMImplementation.GElementFactory` To create a 'g' element.
`protected static class` | `SVGDOMImplementation.GlyphElementFactory` To create a 'glyph' element.
`protected static class` | `SVGDOMImplementation.GlyphRefElementFactory` To create a 'glyphRef' element.
`protected static class` | `SVGDOMImplementation.HkernElementFactory` To create a 'hkern' element.
`protected static class` | `SVGDOMImplementation.ImageElementFactory` To create a 'image' element.
`protected static class` | `SVGDOMImplementation.LinearGradientElementFactory` To create a 'linearGradient' element.
`protected static class` | `SVGDOMImplementation.LineElementFactory` To create a 'line' element.
`protected static class` | `SVGDOMImplementation.MarkerElementFactory` To create a 'marker' element.
`protected static class` | `SVGDOMImplementation.MaskElementFactory` To create a 'mask' element.
`protected static class` | `SVGDOMImplementation.MetadataElementFactory` To create a 'metadata' element.
`protected static class` | `SVGDOMImplementation.MissingGlyphElementFactory` To create a 'missing-glyph' element.
`protected static class` | `SVGDOMImplementation.MpathElementFactory` To create a 'mpath' element.
`protected static class` | `SVGDOMImplementation.PathElementFactory` To create a 'path' element.
`protected static class` | `SVGDOMImplementation.PatternElementFactory` To create a 'pattern' element.
`protected static class` | `SVGDOMImplementation.PolygonElementFactory` To create a 'polygon' element.
`protected static class` | `SVGDOMImplementation.PolylineElementFactory` To create a 'polyline' element.
`protected static class` | `SVGDOMImplementation.RadialGradientElementFactory` To create a 'radialGradient' element.
`protected static class` | `SVGDOMImplementation.RectElementFactory` To create a 'rect' element.
`protected static class` | `SVGDOMImplementation.ScriptElementFactory` To create a 'script' element.
`protected static class` | `SVGDOMImplementation.SetElementFactory` To create a 'set' element.
`protected static class` | `SVGDOMImplementation.StopElementFactory` To create a 'stop' element.
`protected static class` | `SVGDOMImplementation.StyleElementFactory` To create a 'style' element.
`protected static class` | `SVGDOMImplementation.SvgElementFactory` To create an 'svg' element.
`protected static class` | `SVGDOMImplementation.SwitchElementFactory` To create a 'switch' element.
`protected static class` | `SVGDOMImplementation.SymbolElementFactory` To create a 'symbol' element.
`protected static class` | `SVGDOMImplementation.TextElementFactory` To create a 'text' element.
`protected static class` | `SVGDOMImplementation.TextPathElementFactory` To create a 'textPath' element.
`protected static class` | `SVGDOMImplementation.TitleElementFactory` To create a 'title' element.
`protected static class` | `SVGDOMImplementation.TrefElementFactory` To create a 'tref' element.
`protected static class` | `SVGDOMImplementation.TspanElementFactory` To create a 'tspan' element.
`protected static class` | `SVGDOMImplementation.UseElementFactory` To create a 'use' element.
`protected static class` | `SVGDOMImplementation.ViewElementFactory` To create a 'view' element.
`protected static class` | `SVGDOMImplementation.VkernElementFactory` To create a 'vkern' element.

Nested classes/interfaces inherited from class org.apache.batik.dom.ExtensibleDOMImplementation
`ExtensibleDOMImplementation.ElementFactory`

Field Summary
`protected static DOMImplementation` | `DOM_IMPLEMENTATION` The default instance of this class.
`protected HashTable` | `factories`
`protected static String` | `RESOURCES` The error messages bundle class name.
`static String` | `SVG_NAMESPACE_URI` The SVG namespace uri.
`protected static HashTable` | `svg11Factories` The SVG element factories.

Fields inherited from class org.apache.batik.dom.ExtensibleDOMImplementation
`customFactories, customShorthandManagers, customValueManagers, extensions, localizableSupport`

Fields inherited from class org.apache.batik.dom.AbstractDOMImplementation
`features`

Constructor Summary
`SVGDOMImplementation()` Creates a new SVGDOMImplementation object.

Method Summary
`CSSEngine` | `createCSSEngine(AbstractStylableDocument doc, CSSContext ctx, ExtendedParser ep, ValueManager[] vms, ShorthandManager[] sms)`
`CSSStyleDeclaration` | `createCSSStyleDeclaration()` Creates a style declaration.
`CSSStyleSheet` | `createCSSStyleSheet(String title, String media)` DOM: Implements `DOMImplementationCSS.createCSSStyleSheet(String,String)`.
`Document` | `createDocument(String namespaceURI, String qualifiedName, DocumentType doctype)` DOM: Implements `DOMImplementation.createDocument(String,String,DocumentType)`.
`DocumentEventSupport` | `createDocumentEventSupport()` Creates an DocumentEventSupport object suitable for use with this implementation.
`DocumentType` | `createDocumentType(String qualifiedName, String publicId, String systemId)` DOM: Implements `DOMImplementation.createDocumentType(String,String,String)`.
`Element` | `createElementNS(AbstractDocument document, String namespaceURI, String qualifiedName)` Implements the behavior of Document.createElementNS() for this DOM implementation.
`StyleSheet` | `createStyleSheet(Node n, HashTable attrs)` Creates a stylesheet from the data of an xml-stylesheet processing instruction or return null.
`ViewCSS` | `createViewCSS(AbstractStylableDocument doc)` Creates a ViewCSS.
`static DOMImplementation` | `getDOMImplementation()` Returns the default instance of this class.
`CSSStyleSheet` | `getUserAgentStyleSheet()` Returns the user-agent stylesheet.
`protected void` | `initLocalizable()`

Methods inherited from class org.apache.batik.dom.ExtensibleDOMImplementation
`createCSSEngine, formatMessage, getDomExtensions, getLocale, registerCustomCSSShorthandManager, registerCustomCSSValueManager, registerCustomElementFactory, setLocale`

Methods inherited from class org.apache.batik.dom.AbstractDOMImplementation
`createEventSupport, getFeature, hasFeature, registerFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`getFeature, hasFeature`

Field Detail

### SVG_NAMESPACE_URI

    public static final String SVG_NAMESPACE_URI

  The SVG namespace uri.

  See Also:
    Constant Field Values

### RESOURCES

    protected static final String RESOURCES

  The error messages bundle class name.

  See Also:
    Constant Field Values

### factories

    protected HashTable factories

### svg11Factories

    protected static HashTable svg11Factories

  The SVG element factories.

### DOM_IMPLEMENTATION

    protected static final DOMImplementation DOM_IMPLEMENTATION

  The default instance of this class.

Constructor Detail

### SVGDOMImplementation

    public SVGDOMImplementation()

  Creates a new SVGDOMImplementation object.

Method Detail

### getDOMImplementation

    public static DOMImplementation getDOMImplementation()

  Returns the default instance of this class.

### initLocalizable

    protected void initLocalizable()

  Overrides:
    `initLocalizable` in class `ExtensibleDOMImplementation`

### createCSSEngine

    public CSSEngine createCSSEngine(AbstractStylableDocument doc,
                                     CSSContext ctx,
                                     ExtendedParser ep,
                                     ValueManager[] vms,
                                     ShorthandManager[] sms)

  Specified by:
    `createCSSEngine` in class `ExtensibleDOMImplementation`

### createViewCSS

    public ViewCSS createViewCSS(AbstractStylableDocument doc)

  Creates a ViewCSS.

  Specified by:
    `createViewCSS` in class `ExtensibleDOMImplementation`

### createDocumentType

    public DocumentType createDocumentType(String qualifiedName,
                                           String publicId,
                                           String systemId)

  DOM: Implements `DOMImplementation.createDocumentType(String,String,String)`.

  Specified by:
    `createDocumentType` in interface `DOMImplementation`

### createDocument

    public Document createDocument(String namespaceURI,
                                   String qualifiedName,
                                   DocumentType doctype)
                            throws DOMException

  DOM: Implements `DOMImplementation.createDocument(String,String,DocumentType)`.

  Specified by:
    `createDocument` in interface `DOMImplementation`
  Throws:
    `DOMException`

### createCSSStyleSheet

    public CSSStyleSheet createCSSStyleSheet(String title,
                                             String media)

  DOM: Implements `DOMImplementationCSS.createCSSStyleSheet(String,String)`.

  Specified by:
    `createCSSStyleSheet` in interface `DOMImplementationCSS`

### createCSSStyleDeclaration

    public CSSStyleDeclaration createCSSStyleDeclaration()

  Creates a style declaration.

  Specified by:
    `createCSSStyleDeclaration` in interface `CSSStyleDeclarationFactory`
  Returns:
    a CSSOMStyleDeclaration instance.

### createStyleSheet

    public StyleSheet createStyleSheet(Node n,
                                       HashTable attrs)

  Creates a stylesheet from the data of an xml-stylesheet processing instruction or return null.

  Specified by:
    `createStyleSheet` in interface `StyleSheetFactory`

### getUserAgentStyleSheet

    public CSSStyleSheet getUserAgentStyleSheet()

  Returns the user-agent stylesheet.

### createElementNS

    public Element createElementNS(AbstractDocument document,
                                   String namespaceURI,
                                   String qualifiedName)

  Implements the behavior of Document.createElementNS() for this DOM implementation.

  Overrides:
    `createElementNS` in class `ExtensibleDOMImplementation`

### createDocumentEventSupport

    public DocumentEventSupport createDocumentEventSupport()

  Creates an DocumentEventSupport object suitable for use with this implementation.

  Overrides:
    `createDocumentEventSupport` in class `AbstractDOMImplementation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.